Несколько уязвимостей в DeluxeBB

Дата публикации:
06.05.2008
Дата изменения:
18.08.2008
Всего просмотров:
1197
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-2194
CVE-2008-2195
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
DeluxeBB 1.x
Уязвимые версии: DeluxeBB 1.2, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "sort" в сценарии forums.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в URL в сценарии admincp.php перед сохранением данных в файле logs/cp.php. Удаленный пользователь может выполнить произвольный PHP код на целевой системе. Для успешной эксплуатации уязвимости требуются привилегии администратора.

URL производителя: www.deluxebb.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:


10.08.2008
Изменена секция "Решение".

Ссылки: DeluxeBB <= 1.2 Multiple Remote Vulnerabilities Exploit

или введите имя

CAPTCHA